GNUHTML2LATEX(1)

NAME
gnuhtml2latex - html to latex converter

SYNOPSIS
gnuhtml2latex [options] filename

OPTIONS

-a [author]
    speecify document author

-b  Process more than one input HTML file (they all get concatenated and written to a single output file, or to STDOUT if -s is set)

-c  Use table of contents

-f [string]
    Specify foonote

-h [string]
    Specify header

-i filename
    Get the list of files to be converted from the specified filename

-m  Allow the use of some tags that require entering and exiting math mode.

    Currently, the superscript and subscript tags are achieved by using the math mode. Now, using the math mode can break some formatting. Math mode will only be entered in the output document if you specify this switch.

-n  Use numbered sections

-H  use hyperref package to process anchors

-g  Include images. If wget is installed, it will be used in order to download the images; otherwise, their position will just be marked in the resulting TeX document.

-o [string]
    Specify document style

-p  Break page after title / table of contents

-P  Partial / plain: Omit preamble and postamble. Note that -P makes -H and -o meaningless (as they act in the preamble)

-S  Skip (ignore) the specified comma-separated tags, along with all of their content.

-s  Write to STDOUT instead of to inputfilename.tex

-t [title]
    Specify title of document

DESCRIPTION
This aims to be replacement of html2latex.

Program takes html file foo.html or foo.htm file and makes latex file foo.tex from it

NOT VERY AMBITIOUS TODO
For people who want only functionality of original html2latex

 bugfixes - Im sure there is plenty of bugs inside
 clueful backslash escaping
 more entities from outside of iso-8895-1
 tables
 performance boost
 and a lot more

MORE AMBITIOUS TODO
For people who want a real tool

 make it part of some html processor

FUTURE OF THIS PACKAGE
This is very possible that functions of this package will be included to some more general project. This package was made mainly to make world a bit more free.